# eoAssembledFitnessBestStat< EOT > Class Template Reference

Fitness values of best individuum in a population, where the fitness is of type eoScalarAssembledFitness. More...

`#include <eoAssembledFitnessStat.h>`

Inheritance diagram for eoAssembledFitnessBestStat< EOT >:

List of all members.

## Public Types

typedef EOT::Fitness | Fitness

## Public Member Functions

| eoAssembledFitnessBestStat (unsigned _whichTerm=0, std::string _description="Best Fitness")
virtual void | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

unsigned | whichFitnessTerm

## Detailed Description

### template<class EOT>
class eoAssembledFitnessBestStat< EOT >

Fitness values of best individuum in a population, where the fitness is of type eoScalarAssembledFitness.

Specify in the constructor, for which fitness term (index) the value should be evaluated.

Definition at line 87 of file eoAssembledFitnessStat.h.

The documentation for this class was generated from the following file:

- eoAssembledFitnessStat.h